libetonyek::IWAObjectIndex Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWAObjectIndex Class Reference

`#include <IWAObjectIndex.h>`

## Classes
struct | ObjectRecord

## Public Member Functions
| IWAObjectIndex (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package)
void | parse ()
void | queryObject (const unsigned id, unsigned &type, boost::optional< IWAMessage > &msg) const
boost::optional< unsigned > | getObjectType (const unsigned id) const
const RVNGInputStreamPtr_t | queryFile (unsigned id) const
boost::optional< IWORKColor > | queryFileColor (unsigned id) const

## Private Member Functions
void | scanFragment (unsigned id)
void | scanFragment (unsigned id, const RVNGInputStreamPtr_t &stream)
void | scanColorFileMap (unsigned id)
boost::optional< IWORKColor > | scanColorFileCorrespondance (unsigned id)

## Private Attributes
const RVNGInputStreamPtr_t | m_fragments
const RVNGInputStreamPtr_t | m_package
std::map< unsigned, std::string > | m_unparsedFragments
std::map< unsigned, std::pair< unsigned, ObjectRecord > > | m_fragmentObjectMap
std::map< unsigned, std::pair< std::string, RVNGInputStreamPtr_t > > | m_fileMap
std::map< unsigned, IWORKColor > | m_fileColorMap

## Constructor & Destructor Documentation

## ◆ IWAObjectIndex()

libetonyek::IWAObjectIndex::IWAObjectIndex | ( | const RVNGInputStreamPtr_t & | fragments,
|  | const RVNGInputStreamPtr_t & | package
| ) |  |

## Member Function Documentation

## ◆ getObjectType()

boost::optional< unsigned > libetonyek::IWAObjectIndex::getObjectType | ( | const unsigned | id | ) | const

Referenced by libetonyek::IWAParser::getObjectType().

## ◆ parse()

void libetonyek::IWAObjectIndex::parse | ( |  | ) |

Referenced by libetonyek::IWAParser::parseObjectIndex().

## ◆ queryFile()

const RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::queryFile | ( | unsigned | id | ) | const

Referenced by libetonyek::IWAParser::queryFile().

## ◆ queryFileColor()

boost::optional< IWORKColor > libetonyek::IWAObjectIndex::queryFileColor | ( | unsigned | id | ) | const

Referenced by libetonyek::IWAParser::readFill().

## ◆ queryObject()

void libetonyek::IWAObjectIndex::queryObject | ( | const unsigned | id,
|  | unsigned & | type,
|  | boost::optional< IWAMessage > & | msg
| ) |  | const

Referenced by getObjectType(), and libetonyek::IWAParser::queryObject().

## ◆ scanColorFileCorrespondance()

boost::optional< IWORKColor > libetonyek::IWAObjectIndex::scanColorFileCorrespondance | ( | unsigned | id | ) |
| private

Referenced by scanColorFileMap().

## ◆ scanColorFileMap()

void libetonyek::IWAObjectIndex::scanColorFileMap | ( | unsigned | id | ) |
| private

Referenced by parse().

## ◆ scanFragment() [1/2]

void libetonyek::IWAObjectIndex::scanFragment | ( | unsigned | id | ) |
| private

Referenced by parse(), queryObject(), and scanFragment().

## ◆ scanFragment() [2/2]

void libetonyek::IWAObjectIndex::scanFragment | ( | unsigned | id,
|  | const RVNGInputStreamPtr_t & | stream
| ) |  |
| private

## Member Data Documentation

## ◆ m_fileColorMap

std::map<unsigned, IWORKColor> libetonyek::IWAObjectIndex::m_fileColorMap
| mutableprivate

Referenced by queryFileColor(), and scanColorFileMap().

## ◆ m_fileMap

std::map<unsigned, std::pair<std::string, RVNGInputStreamPtr_t> > libetonyek::IWAObjectIndex::m_fileMap
| mutableprivate

Referenced by parse(), and queryFile().

## ◆ m_fragmentObjectMap

std::map<unsigned, std::pair<unsigned, ObjectRecord> > libetonyek::IWAObjectIndex::m_fragmentObjectMap
| mutableprivate

Referenced by parse(), queryObject(), scanColorFileCorrespondance(), scanColorFileMap(), and scanFragment().

## ◆ m_fragments

const RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::m_fragments
| private

Referenced by scanFragment().

## ◆ m_package

const RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::m_package
| private

Referenced by parse(), and queryFile().

## ◆ m_unparsedFragments

std::map<unsigned, std::string> libetonyek::IWAObjectIndex::m_unparsedFragments
| mutableprivate

Referenced by parse(), and scanFragment().

The documentation for this class was generated from the following files:

- IWAObjectIndex.h
- IWAObjectIndex.cpp